Bug 1315253 - Sound output does not switch when connecting external HDMI TVs
Sound output does not switch when connecting external HDMI TVs
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-07 06:34 EST by Elias Naur
Modified: 2016-12-20 14:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:16:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elias Naur 2016-03-07 06:34:12 EST
Description of problem:
When I plug in an external TV through HDMI or similar, the display is automatically extended to that TV automatically. However, the sound output is kept and sound is output through the internal speakers. To use the external TV speakers, I have to go through sound settings and change it manually, every time. Even more confusing is that after disconnecting the TV, I have to go through the sound settings again to switch the output back to the built in speakers.

If it is not possible to detect whether an external monitor/TV can accept sound input, it would be nice to save sound output settings the same way the setup (cloning/positioning) of multiple monitor setup is saved across connects.

How reproducible:
Always


Steps to Reproduce:
1. Connect computer with external TV through a HDMI cable or similar.
2. The display output is automatically duplicated, but the sound output is not.
3. Go to Preferences => Sound, where the sound output is "built in audio". Select the HDMI sound output. The sound now goes through the TV.
4. Disconnect the TV. The display settings resets, but that there is no sound from the built in speakers, presumably because something still thinks it should output sound through HDMI. You have to go through Preferences => Sound again and reset the output to the "built in audio" to regain sound.

Actual results:
Sound output must be changed manually, when connecting an external TV and also when disconnecting it.

Expected results:
In a perfect world, it would be nice if the sound output moved to the TV when plugged in, and back when not.

As a second option, I'd like the sound settings saved per monitor in the same way the display cloning/positioning is saved. That way, I'll only have to change the sound output once, and then the system knows that I'd like sound routed through HDMI when that particular monitor is connected.

As the third option, it should be possible to detect that the external monitor is not connected anymore and switch back to built in sound when the cable is disconnected. No sound after disconnect is confusing, especially when you then go to sound settings and it is obvious that there is only one output possible. That way, only one manual switch is necessary.

Additional info:
Comment 1 Fedora End Of Life 2016-11-24 10:57:42 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 14:16:58 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.